Grasshopper

algorithmic modeling for Rhino

how to add aligned dimension to then rhinodoc with VBscript?any reply is grate

how to add aligned dimension to then rhinodoc with VBscript?any reply is grate

Views: 664

Replies to This Discussion

Hi,

you could do it like this (alignment is based on the Plane, the first input):

C#
LinearDimension d = new LinearDimension(Plane.WorldXY, new Point2d(10, 10), new Point2d(-10, 10), new Point2d(-5, 0));
RhinoDoc.ActiveDoc.Objects.AddLinearDimension(d);

Vb.Net
Dim d as New LinearDimension(Plane.WorldXY, New Point2d(10, 10), New Point2d(-10, 10), New Point2d(-5, 0))
RhinoDoc.ActiveDoc.Objects.AddLinearDimension(d)


- Giulio
______________
giulio@mcneel.com
McNeel Europe, Barcelona
thank you!

Hi,

 

Could I also dimension arcs in VB?

Thanks in advance.

 

Sam

RSS

About

Translate

Search

Photos

  • Add Photos
  • View All

Videos

  • Add Videos
  • View All

© 2024   Created by Scott Davidson.   Powered by

Badges  |  Report an Issue  |  Terms of Service